ChangeSet 1.1254.4.34, 2003/06/04 12:33:35-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/parport/parport_pc.c


 drivers/parport/parport_pc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/parport/parport_pc.c b/drivers/parport/parport_pc.c
--- a/drivers/parport/parport_pc.c	Wed Jun  4 18:09:36 2003
+++ b/drivers/parport/parport_pc.c	Wed Jun  4 18:09:36 2003
@@ -2979,10 +2979,10 @@
 static int __init parport_pc_init_superio (int autoirq, int autodma)
 {
 	const struct pci_device_id *id;
-	struct pci_dev *pdev;
+	struct pci_dev *pdev = NULL;
 	int ret = 0;
 
-	pci_for_each_dev(pdev) {
+	while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev)) != NULL) {
 		id = pci_match_device (parport_pc_pci_tbl, pdev);
 		if (id == NULL || id->driver_data >= last_sio)
 			continue;
